Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.jaxb
Class JaxbAssertionBuilder<T>

    java.lang.Object
      org.apache.cxf.ws.policy.builder.jaxb.JaxbAssertionBuilder<T>

All Implemented Interfaces:
  AssertionBuilder

    public class JaxbAssertionBuilder<T>

extends java.lang.Object
implements AssertionBuilder

Constructor Summary
`JaxbAssertionBuilder(java.lang.Class<T> type, javax.xml.namespace.QName qn)` Constructs a JAXBAssertionBuilder from the specified class and schema type.
`JaxbAssertionBuilder(javax.xml.namespace.QName qn)` Constructs a JAXBAssertionBuilder from the QName of the schema type
`JaxbAssertionBuilder(java.lang.String className, javax.xml.namespace.QName qn)` Constructs a JAXBAssertionBuilder from the specified class name and schema type.

Method Summary
`org.apache.neethi.Assertion` | `build(org.w3c.dom.Element element)` Constructs an assertion from an xml element.
`protected JaxbAssertion<T>` | `buildAssertion()`
`org.apache.neethi.Assertion` | `buildCompatible(org.apache.neethi.Assertion a, org.apache.neethi.Assertion b)` Returns a new assertion that is compatible with the two specified assertions or null if no compatible assertion can be built.
`protected void` | `createUnmarhsaller()`
`protected T` | `getData(org.w3c.dom.Element element)`
`java.util.Collection<javax.xml.namespace.QName>` | `getKnownElements()` Returns a collection of QNames describing the xml schema types for which this builder can build assertions.
`protected boolean` | `getOptionality(org.w3c.dom.Element element)`
`protected javax.xml.bind.Unmarshaller` | `getUnmarshaller()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbAssertionBuilder

    public JaxbAssertionBuilder(javax.xml.namespace.QName qn)
                         throws javax.xml.bind.JAXBException,
                                java.lang.ClassNotFoundException

  Constructs a JAXBAssertionBuilder from the QName of the schema type

  Parameters:
    `qn` - the schema type
  Throws:
    `javax.xml.bind.JAXBException`
    `java.lang.ClassNotFoundException`

### JaxbAssertionBuilder

    public JaxbAssertionBuilder(java.lang.String className,
                                javax.xml.namespace.QName qn)
                         throws javax.xml.bind.JAXBException,
                                java.lang.ClassNotFoundException

  Constructs a JAXBAssertionBuilder from the specified class name and schema type.

  Parameters:
    `className` - the name of the class to which the schema type is mapped
    `qn` - the schema type
  Throws:
    `javax.xml.bind.JAXBException`
    `java.lang.ClassNotFoundException`

### JaxbAssertionBuilder

    public JaxbAssertionBuilder(java.lang.Class<T> type,
                                javax.xml.namespace.QName qn)
                         throws javax.xml.bind.JAXBException

  Constructs a JAXBAssertionBuilder from the specified class and schema type.

  Parameters:
    `type` - the class to which the schema type is mapped
    `qn` - the schema type
  Throws:
    `javax.xml.bind.JAXBException`
    `java.lang.ClassNotFoundException`

Method Detail

### getUnmarshaller

    protected javax.xml.bind.Unmarshaller getUnmarshaller()

### createUnmarhsaller

    protected void createUnmarhsaller()
                               throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### build

    public org.apache.neethi.Assertion build(org.w3c.dom.Element element)

  Description copied from interface: `AssertionBuilder`
  Constructs an assertion from an xml element.

  Specified by:
    `build` in interface `AssertionBuilder`
  Parameters:
    `element` - the element from which to build an assertion
  Returns:
    an Assertion built from the given element

### getKnownElements

    public java.util.Collection<javax.xml.namespace.QName> getKnownElements()

  Description copied from interface: `AssertionBuilder`
  Returns a collection of QNames describing the xml schema types for which this builder can build assertions.

  Specified by:
    `getKnownElements` in interface `AssertionBuilder`
  Returns:
    collection of QNames of known schema types

### buildCompatible

    public org.apache.neethi.Assertion buildCompatible(org.apache.neethi.Assertion a,
                                                       org.apache.neethi.Assertion b)

  Description copied from interface: `AssertionBuilder`
  Returns a new assertion that is compatible with the two specified assertions or null if no compatible assertion can be built.

  Specified by:
    `buildCompatible` in interface `AssertionBuilder`

### buildAssertion

    protected JaxbAssertion<T> buildAssertion()

### getOptionality

    protected boolean getOptionality(org.w3c.dom.Element element)

### getData

    protected T getData(org.w3c.dom.Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.